import request from '@/utils/request'

// 查询商品分类信息列表
export function listGoodsCategory(query) {
    return request({
        url: '/system/goodsCategory/list',
        method: 'get',
        params: query
    })
}

// 查询商品分类信息详细
export function getGoodsCategory(id) {
    return request({
        url: '/system/goodsCategory/' + id,
        method: 'get'
    })
}
//取消
export function updatePicture(data) {
    return request({
        url: '/system/patientArchives/updatePicture',
        method: 'post',
        data: data
    })
}

// 新增商品分类信息
export function addGoodsCategory(data) {
    return request({
        url: '/system/goodsCategory/add',
        method: 'post',
        data: data
    })
}

// 修改商品分类信息
export function updateGoodsCategory(data) {
    return request({
        url: '/system/goodsCategory/edit',
        method: 'POST',
        data: data
    })
}

// 删除商品分类信息
export function delGoodsCategory(id) {
    return request({
        url: '/system/goodsCategory/' + id,
        method: 'POST'
    })
}


//不分页
export function getStationCategoryList(parentId) {
    return request({
        url: `/system/goodsCategory/getStationCategoryList?parentId=${parentId}`,
        method: 'get'
    })
}